ru.bitel.bgbilling.modules.softline.common.bean

## Class ProductCategory

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.softline.common.bean.ProductCategory

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class ProductCategory
      extends IdTitle

  Родительская сущность для продуктов в модуле SoftLine. Нужна для отображения в ЛК и для более удобного взаимодействия с продуктами в будущем. В ЛК отображается категория, например, "Антивирус Касп" и под ней отображаются все продукты `Product`, которые ссылаются на данную категорию.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductCategory()`
    `ProductCategory(int id, java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `void` | `setDescription(java.lang.String description)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ProductCategory

          public ProductCategory()

    - #### ProductCategory

          public ProductCategory(int id,
                                 java.lang.String title)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)